* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

:root {
  --color-principal: #fca308;
  --color-secondary: #1f2e45;
  --color-third: #fff5e3;
  --color-black: #000000;
  --color-white: #ffffff;
}

body {
  background-color: var(--color-black);
  color: var(--color-white);
  font-family: "Roboto", sans-serif;
}

html {
  scroll-behavior: smooth;
}

a {
  transition: all 0.3s ease-in;
}

.container {
  width: min(70rem, calc(100% - 2.5rem));
  margin: 0 auto;
}

.comunika-title {
  font-family: "Poppins", sans-serif;
  color: var(--color-principal);
  font-size: clamp(28px, 5vw, 30px);
  font-weight: 600;
  margin-bottom: 30px;
}

.comunika-p {
  font-size: 1.125rem;
  font-weight: 300;
  text-wrap: pretty;
  line-height: 1.5;

  &:not(:last-child) {
    margin-bottom: 20px;
  }
}

.comunika-link {
  display: inline-block;

  text-decoration: none;

  color: var(--color-principal);

  font-weight: 500;

  padding: 10px 15px;

  border: 1px solid var(--color-principal);

  border-radius: 5px;

  &:hover {
    background-color: var(--color-white);
  }
}

.header {
  display: flex;

  flex-direction: column;

  background-image: linear-gradient(rgba(0, 0, 0, 0.7), rgba(0, 0, 0, 0.7)),
    url("../img/fondo.jpg");

  background-attachment: fixed;

  background-size: cover;

  background-position: center;

  min-height: 510px;
}

.header__row {
  display: flex;

  align-items: center;

  justify-content: space-between;

  flex-wrap: wrap;

  margin: 40px auto;

  width: min(70rem, calc(100% - 2.5rem));

  position: relative;
}

.header__button {
  background-color: transparent;

  border: 1px solid var(--color-white);

  display: flex;

  align-items: center;

  justify-content: center;

  width: 35px;

  height: 35px;

  border-radius: 5px;

  color: var(--color-white);

  @media screen and (min-width: 769px) {
    display: none;
  }
}

.header__ul {
  position: fixed;

  top: 0;

  left: -100%;

  bottom: 0;

  padding: 0.5rem 1rem 1.5rem;

  list-style: none;

  background-color: var(--color-principal);

  transition: all 0.3s ease-in-out;

  display: flex;

  flex-direction: column;

  gap: 15px;

  & a {
    color: var(--color-white);

    text-decoration: none;
  }

  &.active {
    left: 0;
  }

  & .close {
    display: flex;

    justify-content: flex-end;

    border-bottom: 1px solid var(--color-white);

    padding: 0.5rem 0;
  }

  @media screen and (min-width: 769px) {
    position: initial;
    background-color: transparent;
    flex-direction: row;
    gap: 3.5rem;
    padding: 0;

    & .close {
      display: none;
    }

    & li {
      position: relative;

      &:not(:nth-child(2))::before {
        content: "";
        position: absolute;
        left: -1.75rem;
        display: inline-flex;
        width: 1px;
        height: 100%;
        background-color: var(--color-white);
      }
    }

    & a {
      font-size: 1.125rem;
      font-weight: 400;
      text-decoration: none;
      color: var(--color-white);

      &:hover {
        color: var(--color-principal);
      }
    }
  }
}

.banner__container {
  margin: auto;
  text-align: center;

  & img {
    width: min(100%, 420px);
    margin-bottom: 15px;
  }

  & a {
    margin-top: 25px;
  }
}

.banner__p {
  font-size: clamp(1.25rem, 5vw, 1.5rem);

  color: var(--color-white);

  font-style: italic;

  line-height: 1.2;

  text-wrap: balance;
}

.award {
  display: flex;

  align-items: center;

  justify-content: space-between;

  flex-wrap: wrap;

  gap: 30px 50px;

  margin: 80px auto;

  & img {
    margin: 0 auto;
  }

  & .award__div {
    flex-grow: 1;

    flex-basis: 300px;
  }
}

.participate {
  width: min(72rem, calc(100% - 2.5rem));

  margin: 50px auto;

  & .comunika-title {
    text-align: center;
  }

  & .participate__row {
    display: flex;

    align-items: center;

    justify-content: center;

    flex-wrap: wrap;

    gap: 30px 50px;
  }
}

.participate__div {
  display: flex;

  flex-wrap: wrap;

  align-items: center;

  justify-content: space-between;

  gap: 30px;

  & .comunika-p {
    flex-grow: 1;

    flex-basis: 250px;

    margin-bottom: 0;

    @media screen and (min-width: 1025px) {
      flex-grow: 2;

      flex-basis: 380px;
    }
  }

  & .participate__item {
    flex-grow: 1;

    flex-basis: 250px;

    @media screen and (min-width: 769px) {
      /* flex-grow: 1; */

      flex-basis: 200px;
    }
  }
}

.participate__item {
  display: flex;

  flex-direction: column;

  flex-wrap: wrap;

  align-items: center;

  justify-content: center;

  border: 1px solid var(--color-principal);

  border-radius: 5px;

  width: 201px;

  height: 205px;

  & img {
    margin-bottom: 20px;
  }

  & p {
    font-size: 20px;

    text-align: center;

    color: var(--color-principal);

    margin: 0;
  }
}

.bases {
  background-image: url("../img/fondo-2.png");
  background-position: center;
  display: flex;
  align-items: center;
  justify-content: center;
  width: min(72rem, calc(100% - 2.5rem));
  min-height: 195px;
  margin: 80px auto;
  border-radius: 10px;

  & .bases__content {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
    gap: 15px;
  }

  & .bases__p {
    font-family: "Poppins", sans-serif;
    font-size: clamp(25px, 5vw, 30px);
    font-weight: 500;
    color: var(--color-secondary);
    margin: 0;
  }

  & .bases__a {
    background-color: var(--color-secondary);
    text-decoration: none;
    color: var(--color-white);
    padding: 10px 15px;
    border-radius: 5px;

    &:hover {
      background-color: var(--color-white);
      color: var(--color-secondary);
    }
  }
}

.date {
  width: min(72rem, calc(100% - 2.5rem));
  margin: 80px auto;

  & .comunika-title {
    text-align: center;
  }

  & .comunika-p {
    flex-grow: 1;
    flex-basis: 200px;
    margin: 0;

    @media screen and (min-width: 426px) {
      flex-basis: 500px;
    }

    @media screen and (min-width: 769px) {
      flex-basis: 250px;
    }
  }

  & .date__row {
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-wrap: wrap;
    gap: 30px;
    margin-bottom: 40px;
  }

  & .date__option {
    flex-grow: 1;
    flex-basis: 200px;
    background-color: var(--color-secondary);
    border-radius: 5px;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 255px;
    height: 146px;
    border-radius: 10px;
    color: var(--color-white);
    font-size: clamp(20px, 5vw, 26px);
  }
}

.comunika-h4 {
  color: var(--color-white);
  font-size: clamp(18px, 5vw, 22px);
  text-align: center;
  margin-bottom: 25px;
}

.dates {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 20px;
  width: min(812px, calc(100% - 2.5rem));
  margin: 0 auto 30px;
}

.dates__div {
  flex-grow: 1;
  flex-basis: 100px;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  width: min(146px, 100%);
  height: 132px;
  border: 1px solid var(--color-principal);
  border-radius: 10px;
  padding: 1rem;

  & .dates__p {
    font-size: 22px;
    font-weight: 600;
    color: var(--color-white);
  }

  & .dates__text {
    font-size: 12px;
    text-align: center;
    color: var(--color-white);
  }
}

.table-responsive {
  width: auto;
  overflow: auto;
}

.table {
  width: max(600px, 100%);
  font-size: 20px;
  color: var(--color-black);

  th {
    background-color: var(--color-principal);
    border-radius: 5px;
    height: 76px;

    &.transparent {
      background-color: transparent;
    }
  }

  td {
    background-color: var(--color-third);
    border-radius: 5px;
    height: 54px;
    text-align: center;
  }
}

.text-centrado {
  font-weight: 300;
  text-align: center;
  font-size: clamp(18px, 5vw, 22px);
  margin: 30px 0;
}

.categories {
  width: min(72.0625rem, calc(100% - 2.5rem));
  margin: 0 auto;

  & .comunika-title {
    text-align: center;
    margin-bottom: 15px;
  }

  & .text-centrado {
    margin: 0 0 30px;
  }

  & .categories__p {
    font-size: 22px;
    margin-bottom: 20px;
  }
}

.categories__options {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(min(200px, 100%), 1fr));
  grid-gap: 20px;
}

.category {
  background-color: transparent;
  border: 1px solid rgba(255, 255, 255, 0.2);
  border-radius: 5px;
  color: var(--color-white);
  font-size: 20px;
  padding: 1rem;
  height: 180px;
  cursor: pointer;
  transition: all 0.3s ease-in;

  & svg {
    transition: all 0.3s ease-in;
    stroke: var(--color-white);
    margin-bottom: 10px;
  }

  &.active,
  &:hover {
    color: var(--color-principal);

    & svg {
      stroke: var(--color-principal);
    }
  }

  @media screen and (min-width: 426px) {
    &:first-child {
      grid-column: 1 / 2;

      grid-row: 1;
    }

    &:nth-child(3) {
      grid-column: 2 / 3;

      grid-row: 1;
    }

    &:nth-child(5) {
      grid-column: 3 / 4;

      grid-row: 1;
    }

    &:nth-child(7) {
      grid-column: 1 / 2;

      grid-row: 3;
    }

    &:nth-child(9) {
      grid-column: 2 / 3;

      grid-row: 3;
    }

    &:nth-child(11) {
      grid-column: 3 / 4;

      grid-row: 3;
    }
  }

  @media screen and (min-width: 769px) {
    &:nth-child(7) {
      grid-column: 4 / 5;

      grid-row: 1;
    }

    &:nth-child(9) {
      grid-column: 1 / 2;

      grid-row: 3;
    }

    &:nth-child(11) {
      grid-column: 2 / 3;

      grid-row: 3;
    }
  }

  @media screen and (min-width: 1025px) {
    &:nth-child(9) {
      grid-column: 5 / 6;

      grid-row: 1;
    }

    &:nth-child(11) {
      grid-column: 1 / 2;

      grid-row: 3;
    }
  }
}

.category__div {
  font-size: 20px;
  font-weight: 300;
  text-wrap: pretty;
  height: 0;
  overflow: hidden;
  transition: all 0.3s ease-in;
  background-color: var(--color-black);

  &.open {
    height: 100%;
  }

  @media screen and (min-width: 426px) {
    &:nth-child(2),
    &:nth-child(4),
    &:nth-child(6) {
      grid-column: 1 / -1;

      grid-row: 2;
    }

    &:nth-child(8),
    &:nth-child(10),
    &:nth-child(12) {
      grid-column: 1 / -1;

      grid-row: 4;
    }

    &:nth-child(14) {
      grid-column: 1 / -1;

      grid-row: 6;
    }
  }

  @media screen and (min-width: 769px) {
    &:nth-child(2),
    &:nth-child(4),
    &:nth-child(6),
    &:nth-child(8) {
      grid-column: 1 / -1;

      grid-row: 2;
    }

    &:nth-child(10),
    &:nth-child(12),
    &:nth-child(14) {
      grid-column: 1 / -1;

      grid-row: 4;
    }
  }

  @media screen and (min-width: 1025px) {
    &:nth-child(2),
    &:nth-child(4),
    &:nth-child(6),
    &:nth-child(8),
    &:nth-child(10) {
      grid-column: 1 / -1;

      grid-row: 2;
    }

    &:nth-child(12),
    &:nth-child(14) {
      grid-column: 1 / -1;

      grid-row: 4;
    }
  }
}

.porcentaje {
  width: min(72.0625rem, calc(100% - 2.5rem));
  margin: 50px auto;

  & .comunika-title {
    text-align: center;
  }

  & .porcentaje__row {
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
  }

  & .porcentaje__option {
    flex-grow: 1;
    flex-basis: 200px;
    min-height: 220px;
    background-color: var(--color-secondary);
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    flex-wrap: wrap;
    gap: 15px;
    border-radius: 5px;
    padding: 1.5rem min(5rem, 5%);
    position: relative;
    overflow: hidden;
    cursor: pointer;
  }

  & .option__text {
    text-align: center;
  }

  & .porcentaje__title {
    font-size: clamp(25px, 5vw, 40px);
    font-weight: 700;
    text-align: center;
    line-height: 0.8;
    margin-bottom: 10px;
  }

  & .porcentaje__numbre {
    font-size: clamp(22px, 5vw, 30px);
    color: var(--color-principal);
  }

  & .porcentaje__p {
    font-size: clamp(14px, 5vw, 18px);
    font-weight: 300;
    text-align: center;
  }

  @media screen and (min-width: 1025px) {
    & .option__description {
      position: absolute;
      width: 100%;
      height: 100%;
      display: flex;
      align-items: center;
      justify-content: center;
      padding: 1.5rem;
      background-color: rgba(71, 71, 71, 1);
      visibility: hidden;
      transition: all 0.3s ease-in;
    }

    & .porcentaje__option:hover {
      transition: all 0.3s ease-in;

      & .option__description {
        visibility: visible;
      }
    }
  }
}

.form {
  width: min(72.0625rem, calc(100% - 2.5rem));
  margin: 30px auto;
  min-height: 110px;
  background-image: url("../img/Rectangle.png");
  border-radius: 10px;
  display: flex;
  align-items: center;
  justify-content: center;
  text-decoration: none;
  color: #fff;

  & .form__p {
    font-size: clamp(28px, 5vw, 36px);
    font-weight: 600;
  }
}

.call-to-action {
  width: min(72.0625rem, calc(100% - 2.5rem));
  margin: 30px auto;
  background-color: var(--color-secondary);
  padding: 2rem min(3rem, 5%);
  display: flex;
  align-items: center;
  flex-wrap: wrap;
  gap: 15px 50px;
  border-radius: 10px;

  & .call-to-action__h3 {
    font-size: clamp(26px, 5vw, 34px);
    font-weight: 500;
  }

  & .call-to-action__p {
    font-size: clamp(18px, 5vw, 22px);
    font-weight: 300;
    flex-grow: 1;
    flex-basis: 200px;

    & a {
      color: var(--color-white);
      text-decoration: none;

      &:hover {
        color: var(--color-principal);
      }
    }
  }
}

.about-us {
  width: min(72.0625rem, calc(100% - 2.5rem));
  margin: 50px auto;

  & .comunika-title {
    text-align: center;
  }

  & .comunika__p {
    text-align: center;
    font-size: 18px;
    font-weight: 300;
  }
}

.organite {
  width: min(72.0625rem, calc(100% - 2.5rem));
  margin: 50px auto;
  text-align: center;

  & .categories__p {
    font-weight: 500;
    margin-bottom: 20px;
    font-size: clamp(20px, 5vw, 22px);
  }
}

.support {
  width: min(60rem, calc(100% - 2.5rem));
  margin: 50px auto;
  text-align: center;

  & .categories__p {
    font-weight: 500;
    margin-bottom: 20px;
    font-size: clamp(20px, 5vw, 22px);
  }

  & .support__div {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: space-evenly;
    gap: 15px;
    margin-bottom: 30px;
  }

  & .comunika__p {
    font-size: clamp(18px, 5vw, 22px);
    font-weight: 300;
    text-wrap: balance;
  }
}

.footer {
  border-top: 1px solid var(--color-white);
  padding: 1.5rem min(1.75rem, 5%);

  & .footer__container {
    width: min(56.25rem, calc(100% - 2.5rem));
    margin: 0 auto 30px;

    & img {
      width: min(100%, 10rem);
    }
  }

  & .footer__info {
    text-align: center;
    font-size: 14px;
  }
}

.popup__container {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: rgba(0, 0, 0, 0.4);
  display: none;
  align-items: center;

  &.active {
    display: flex;
  }
}

.popup {
  display: none;
  width: min(53.125rem, calc(90% - 2.5rem));
  margin: auto;
  background-color: var(--color-white);
  color: var(--color-black);
  position: relative;
  padding: 2.5rem min(3rem, 5%);
  border-radius: 10px;

  & .popup__h4 {
    font-size: clamp(20px, 5vw, 24px);
    margin-bottom: 20px;
  }

  & .popup__close {
    position: absolute;
    top: 20px;
    right: 20px;
  }

  &.active {
    display: block;
  }
}

.comite {
  margin-top: 50px;
  margin-bottom: 50px;
}

.comite__row {
  display: flex;
  /* align-items: center; */
  justify-content: center;
  flex-wrap: wrap;

  gap: 1rem;
}

.comite-title {
  font-size: clamp(24px, 5vw, 28px);
  font-weight: 600;
  text-align: center;
}

.comite__miembro {
  flex-grow: 1;
  flex-basis: 200px;
  position: relative;
  display: flex;
  border-radius: 10px;
  overflow: hidden;
  height: 380px;
  margin-top: 30px;
  cursor: pointer;

  & img {
    object-fit: cover;
    object-position: center;
    width: 100%;
  }

  @media screen and (min-width: 426px) {
    flex-basis: 300px;
    flex-grow: 0;
  }

  @media screen and (min-width: 1025px) {
    flex-basis: 100px;
    flex-grow: 1;
  }
}

.comite__div {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  display: flex;
  align-items: flex-start;
  justify-content: flex-end;
  flex-direction: column;
  padding: 1rem;
  background: linear-gradient(rgba(0, 0, 0, 0.2), rgba(0, 0, 0, 0.9));
}

.comite__h4 {
  font-size: 18px;
  font-weight: 500;
  color: var(--color-principal);
}

.comite__p {
  font-size: 13px;
  font-weight: 300;
  overflow: hidden;
  transition: all 0.3s ease-in;

  @media screen and (min-width: 1025px) {
    max-height: 0;
  }
}

.comite__miembro:hover {
  .comite__p {
    max-height: 200px;
  }
}

.comunika-table {
  & th {
    font-size: 22px;
    font-weight: 500;
    background-color: var(--color-principal);
    color: var(--color-white);
    padding: 10px;
  }

  & td {
    border: 1px solid var(--color-white);
    padding: 1rem 1.5rem;
    background-color: var(--color-secondary);

    &.table-separador {
      border: none;
      padding: 0.5rem;
      background-color: transparent;
    }

    &.table-category {
      font-weight: 600;
      color: var(--color-principal);
    }
  }
}

.comunika-table__row {
  overflow-x: auto;
}
